TestUtilities (Media Authoring with Java API)
Date: 2016-02-05

tv.amwa.maj.util

## Class TestUtilities

- java.lang.Object
- - tv.amwa.maj.util.TestUtilities

-     public class TestUtilities
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TestUtilities()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static boolean` | `objectEqualityTest(Object o1, Object o2)`
    `static MediaProperty` | `propertyAnnotation(Class<? extends MetadataObject> mediaClass, AUID propertyID)`
    `static MediaProperty` | `propertyAnnotation(Class<? extends MetadataObject> mediaClass, String propertyName)`
    `static Method` | `propertyGetMethod(Class<? extends MetadataObject> mediaClass, AUID propertyID)`
    `static Method` | `propertyGetMethod(Class<? extends MetadataObject> mediaClass, String propertyName)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TestUtilities

          public TestUtilities()

  - ### Method Detail

    - #### propertyGetMethod

          public static Method propertyGetMethod(Class<? extends MetadataObject> mediaClass,
                                                 String propertyName)

    - #### propertyGetMethod

          public static Method propertyGetMethod(Class<? extends MetadataObject> mediaClass,
                                                 AUID propertyID)

    - #### propertyAnnotation

          public static MediaProperty propertyAnnotation(Class<? extends MetadataObject> mediaClass,
                                                         String propertyName)

    - #### propertyAnnotation

          public static MediaProperty propertyAnnotation(Class<? extends MetadataObject> mediaClass,
                                                         AUID propertyID)

    - #### objectEqualityTest

          public static final boolean objectEqualityTest(Object o1,
                                                         Object o2)

(c)2007-2016 Richard Cartwright, all rights reserved. Licensed under Apache 2 license and subject to the AMWA IPR policy.